Subject: bug#36747: Official MesCC bootstrap binaries differ from my locally built ones

From: Mark H Weaver <[email-masked]>
Date: Wed, 21 Aug 2019 18:57:25 -0400

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> You can reproduce them with the following command from a git checkout at
>> commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
>> 'wip-binaries' branch, based on recent 'master':
>>
>>   ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
>>
>> mhw@jojen ~/guix-wip-binaries$ git describe
>> v1.0.1-2479-g9e6256ba0f
>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
>> /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
>> mhw@jojen /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0$ sha256sum *
>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
>>
>> Do you get the same results?
>
> I built it on bayfront and got the exact same result:

I'm glad to hear it!  Marius and Janneke got these exact results as
well, albeit at a different commit which should be equivalent.

> (I’m actually surprised Guile is 100% reproducible; ISTR there were
> still issues with gensyms in .go files, but maybe I’m wrong.)

It's apparently not reproducible unless built sequentially.  I did some
preliminary investigation, and my guess is that the gensyms produced by
Guile's compiler sometimes depends on whether dependent modules were
previously compiled or not.

> So, green light, right?

Yes!

>> To match what 'core-updates-next' expects, it would be good to upload
>> the files above, along with digital signatures, to the following new
>> directory:
>>
>>   https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/
>
> Unless you disagree, I’ll upload these to ftp.gnu.org (not
> alpha.gnu.org, but same directory as you wrote) tomorrow.

That's fine, although I guess %bootstrap-base-urls will need to be
extended to include the new base URL.

    Thank you!
       Mark